<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
    <title>Bootstrap Flex</title>
  </head>
  <body>
    <div class="container-fluid text-center">
      <h1>Bootstrap Flex</h1>
      <p>
        Use the d-flex class to create a flex container and transform direct
        children into flex items.
      </p>
      <h2>Column</h2>
      <div
        class="d-flex bg-dark justify-content-center align-items-center flex-column gap-2"
        style="height: 500px"
      >
        <div class="p-3 bg-success col-2">Flex Item A</div>
        <div class="p-3 bg-warning col-2">Flex Item B</div>
        <div class="p-3 bg-danger col-2">Flex Item C</div>
      </div>
      <h2>Row</h2>
      <div
        class="d-flex bg-dark justify-content-center align-items-center flex-row"
        style="height: 500px"
      >
        <div class="p-3 bg-success mx-3 col-2">Flex Item A</div>
        <div class="p-3 bg-warning mx-3 col-2">Flex Item B</div>
        <div class="p-3 bg-danger mx-3 col-2">Flex Item C</div>
      </div>
      <h2>Reverse</h2>
      <div
        class="d-flex bg-dark justify-content-center align-items-center flex-row-reverse flex-row"
        style="height: 500px"
      >
        <div class="p-3 bg-success mx-3 col-2">Flex Item A</div>
        <div class="p-3 bg-warning mx-3 col-2">Flex Item B</div>
        <div class="p-3 bg-danger mx-3 col-2">Flex Item C</div>
      </div>
      <h2>Spacing Around</h2>
      <div
        class="d-flex bg-dark justify-content-around align-items-center flex-row"
        style="height: 500px"
      >
        <div class="p-3 bg-success col-2">Flex Item A</div>
        <div class="p-3 bg-warning col-2">Flex Item B</div>
        <div class="p-3 bg-danger col-2">Flex Item C</div>
      </div>
      <h2>Margin</h2>
      <div
        class="d-flex bg-dark justify-content-center align-items-center flex-row p-2"
      >
        <div class="p-3 bg-success col-2 mr-auto">Flex Item A</div>
        <div class="p-3 bg-warning col-2">Flex Item B</div>
        <div class="p-3 bg-danger col-2">Flex Item C</div>
        <div class="p-3 bg-primary col-2">Flex Item D</div>
      </div>

      <h2>Nested Flex Elements</h2>

      <div class="d-flex bg-dark flex-row p-2">
        <div class="p-3 bg-success mr-auto">Flex Item A</div>

        <div class="d-flex">
          <div class="p-3 bg-warning">Flex Item B</div>
          <div class="p-3 bg-danger">Flex Item C</div>
          <div class="p-3 bg-primary">Flex Item D</div>
        </div>
      </div>
    </div>

    <!-- JS Bootstrap -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
